#include <stdio.h>
#include <stdlib.h>
#include <jni.h>
#include "org_apache_maven_natives_sample_helloworld_HelloWorld.h"

JNIEXPORT void JNICALL 
Java_org_apache_maven_natives_sample_helloworld_HelloWorld_displayHelloWorld(JNIEnv *env, jobject obj) 
{
  char *home;
  printf("Helloworld from Java JNI\n");
  home = getenv ("HOME");
  printf("HOME = %s\n", (home) ? home : "(NULL)");
  return;
}

